summaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorNeels Hofmeyr <neels@hofmeyr.de>2017-09-04 16:49:17 +0200
committerNeels Hofmeyr <neels@hofmeyr.de>2017-09-07 00:59:46 +0200
commit36e0404f456b32898d174b8bdfb363dbe580db2e (patch)
treeed16066c429220519644a478451a38dfcad20270 /contrib
parent713a1201d2dd0b06dc61a66f1f876064d6581aeb (diff)
jenkins: build from new osmo-{msc,bsc,mgw,sgsn} repositoriesneels/test
The idea is to build each binary separately: even though osmo-msc requires libosmo-sccp, which already includes the osmo-stp binary, we still want osmo-stp to be built from a separate script. The reason: to track down regressions, we can change the versions each binary is built from separately. The additional build effort and jenkins script multitude is acceptable. Change-Id: I194ad5169dbe013c8e1cf9d631033cb2576744dd
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/jenkins-build-osmo-bsc.sh14
-rwxr-xr-xcontrib/jenkins-build-osmo-ggsn.sh10
-rwxr-xr-xcontrib/jenkins-build-osmo-mgw.sh12
-rwxr-xr-xcontrib/jenkins-build-osmo-msc.sh6
-rwxr-xr-xcontrib/jenkins-build-osmo-sgsn.sh14
-rwxr-xr-xcontrib/jenkins-build-osmo-stp.sh12
6 files changed, 64 insertions, 4 deletions
diff --git a/contrib/jenkins-build-osmo-bsc.sh b/contrib/jenkins-build-osmo-bsc.sh
new file mode 100755
index 0000000..ee58c9d
--- /dev/null
+++ b/contrib/jenkins-build-osmo-bsc.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e -x
+base="$PWD"
+name="osmo-bsc"
+. "$(dirname "$0")/jenkins-build-common.sh"
+
+build_repo libosmocore --disable-doxygen
+build_repo libosmo-abis
+build_repo libosmo-netif --disable-doxygen
+build_repo libosmo-sccp
+build_repo osmo-mgw
+build_repo osmo-bsc
+
+create_bin_tgz osmo-bsc
diff --git a/contrib/jenkins-build-osmo-ggsn.sh b/contrib/jenkins-build-osmo-ggsn.sh
new file mode 100755
index 0000000..a46c3aa
--- /dev/null
+++ b/contrib/jenkins-build-osmo-ggsn.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e -x
+base="$PWD"
+name="osmo-ggsn"
+. "$(dirname "$0")/jenkins-build-common.sh"
+
+build_repo libosmocore --disable-doxygen
+build_repo osmo-ggsn
+
+create_bin_tgz osmo-ggsn
diff --git a/contrib/jenkins-build-osmo-mgw.sh b/contrib/jenkins-build-osmo-mgw.sh
new file mode 100755
index 0000000..4ca1e45
--- /dev/null
+++ b/contrib/jenkins-build-osmo-mgw.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e -x
+base="$PWD"
+name="osmo-mgw"
+. "$(dirname "$0")/jenkins-build-common.sh"
+
+build_repo libosmocore --disable-doxygen
+build_repo libosmo-abis
+build_repo libosmo-netif --disable-doxygen
+build_repo osmo-mgw
+
+create_bin_tgz osmo-bsc_mgcp
diff --git a/contrib/jenkins-build-osmo-msc.sh b/contrib/jenkins-build-osmo-msc.sh
index 8025ca2..c0faf78 100755
--- a/contrib/jenkins-build-osmo-msc.sh
+++ b/contrib/jenkins-build-osmo-msc.sh
@@ -7,11 +7,9 @@ name="osmo-msc"
build_repo libosmocore --disable-doxygen
build_repo libosmo-abis
build_repo libosmo-netif --disable-doxygen
-build_repo openggsn
build_repo libsmpp34
build_repo libosmo-sccp
-build_repo libasn1c
-build_repo osmo-iuh neels/sigtran # TEMPORARY BRANCH
-build_repo openbsc aoip --enable-smpp --enable-osmo-bsc --enable-nat --enable-iu
+build_repo osmo-mgw
+build_repo osmo-msc --enable-smpp --disable-iu
create_bin_tgz osmo-msc
diff --git a/contrib/jenkins-build-osmo-sgsn.sh b/contrib/jenkins-build-osmo-sgsn.sh
new file mode 100755
index 0000000..1979e8c
--- /dev/null
+++ b/contrib/jenkins-build-osmo-sgsn.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e -x
+base="$PWD"
+name="osmo-sgsn"
+. "$(dirname "$0")/jenkins-build-common.sh"
+
+build_repo libosmocore --disable-doxygen
+build_repo libosmo-abis
+build_repo libosmo-netif --disable-doxygen
+build_repo libosmo-sccp
+build_repo openggsn
+build_repo osmo-sgsn --disable-iu
+
+create_bin_tgz osmo-sgsn
diff --git a/contrib/jenkins-build-osmo-stp.sh b/contrib/jenkins-build-osmo-stp.sh
new file mode 100755
index 0000000..86cbe3d
--- /dev/null
+++ b/contrib/jenkins-build-osmo-stp.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e -x
+base="$PWD"
+name="osmo-stp"
+. "$(dirname "$0")/jenkins-build-common.sh"
+
+build_repo libosmocore --disable-doxygen
+build_repo libosmo-abis
+build_repo libosmo-netif --disable-doxygen
+build_repo libosmo-sccp
+
+create_bin_tgz osmo-stp